# class Tk::Iwidgets::Spindate

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

get()
Alias for: get_string
get_clicks() click to toggle source

    # File lib/tkextlib/iwidgets/spindate.rb, line 37
    def get_clicks
      number(tk_call(@path, 'get', '-clicks'))
    end

get_string() click to toggle source

    # File lib/tkextlib/iwidgets/spindate.rb, line 32
    def get_string
      tk_call(@path, 'get', '-string')
    end

Also aliased as: get
show(date=None) click to toggle source

    # File lib/tkextlib/iwidgets/spindate.rb, line 41
    def show(date=None)
      tk_call(@path, 'show', date)
      self
    end

show_now() click to toggle source

    # File lib/tkextlib/iwidgets/spindate.rb, line 45
    def show_now
      tk_call(@path, 'show', 'now')
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/iwidgets/spindate.rb, line 22
    def __boolval_optkeys
      super() << 'dayon' << 'monthon' << 'yearon'
    end

__strval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__strval_optkeys

    # File lib/tkextlib/iwidgets/spindate.rb, line 27
    def __strval_optkeys
      super() << 'daylabel' << 'monthformat' << 'monthlabel' << 'yearlabel'
    end